Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: martin rudalics <[email-masked]>
Date: Fri, 19 Oct 2018 10:34:08 +0200

> Something very strange is going on: menu-bar-scrollbar-mode is nil by
 > default, so why am I seeing a scrollbar at all?

Can you please describe the steps you performed?  Is this with -Q or
in a session where you turned the menu bar on later?

 > Even stranger: with KDE I see the scrollbar, but running the same
 > emacs binary under GNOME I donʼt (and the menubar is truncated when
 > the frame is too narrow, so the functionality is fine).

Is there no way to turn the scroll bar off under KDE?  Can you turn
the scroll bar on under GNOME?

 > Yes. Iʼm thinking there should be no scrollbar at all.
 >
 > <Coffee kicks in>
 >
 > Iʼm seeing a *vertical* scroll bar. So probably this is just a slight
 > miscalculation of the menubar height (but then why is it different
 > under KDE than GNOME?). Would it make sense to start playing with
 > gtkutil.c:MENUBAR_STYLESHEET ?

I think so.  But I'd like to see at least one or two other persons
with sufficiently new GTKs kick in (Stephen, pretty please) so we get
a more complete picture of which problems may occur.

Thanks, martin